using Intrepid.Theatre.Curtain;
using UnityEngine;

namespace Intrepid.Core.Curtain.Actions
{
    public class CurtainFadeOpenedAction : AbstractCurtainAction
    {
        [SerializeField] private CanvasGroup canvasGroup;
        
        public override bool IsFinished()
        {
            return true;
        }

        public override void Setup()
        {
            canvasGroup.alpha = 0f;
        }

        public override void TearDown()
        {
        }
    }
}